<?php

namespace domain\Order\OrderStatus;

use domain\_\AbstractModule;

class OrderStatusModule extends AbstractModule
{
    public function getDefinition(): OrderStatusDefinition
    {
        return  OrderStatusDefinition::getInstance();
    }

    public function getServices(): array
    {
        return [
            OrderStatusDefinition::class,
            OrderStatusRepository::class,
            OrderStatusBuilder::class,
        ];
    }
}